package de.jaetzold.art.examples;

import java.awt.Panel;
import java.awt.TextField;
import java.awt.Button;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class AriadneCommands extends Panel {
	public AriadneCommands(Ariadne ariadne) {
		this();
		setAriadne(ariadne);
	}
	
	public AriadneCommands() {		
		final TextField angle = new TextField("0.0");
		
		Button orient = new Button("orient by");
		orient.addActionListener(
			new ActionListener() {
				public void actionPerformed(ActionEvent ae) {
					if(ariadne != null) {
						try {
							ariadne.orientByAngle(
										Double.parseDouble(angle.getText()));
						} catch(NumberFormatException nfe) {
						}
					}
				}
			}
		);
		add(orient);
		add(angle);
	}
	
	protected Ariadne ariadne;
	public void setAriadne(Ariadne ariadne) {
		this.ariadne = ariadne;
	}
}
