package de.jaetzold.art.examples;

import de.jaetzold.art.AngleSensor;

public interface LiSe {
	public AngleSensor getAngleSensor();
	public void search();
	public void stop();
	public void seeLeft();
	public void seeRight();
	public void seeCenter();

	public boolean isSeeing(); // could also be implemented by a BooleanSensor
// ...	
	public int getState();
	
	public static final int STOP = 0;
	public static final int SEARCH = 1;
	public static final int SEE_LEFT = 2;
	public static final int SEE_RIGHT = 3;
	public static final int SEE_CENTER = 4;
// ...
}
