package de.jaetzold.art.examples;

import de.jaetzold.art.Servo;

public class LiSeSimpleBaseRobot implements LiSeSimpleAlgorithm.Robot {
	protected Servo turnServo;
	protected double maxRightAngle;
	protected double maxLeftAngle;
	protected double searchSpeed;
	protected double followSpeed;
	
	public LiSeSimpleBaseRobot(Servo turnServo,
								double maxRightAngle,
								double maxLeftAngle,
								double searchSpeed ,
								double followSpeed)
	{
		this.turnServo = turnServo;
		this.maxRightAngle = maxRightAngle;
		this.maxLeftAngle = maxLeftAngle;
		this.searchSpeed = searchSpeed;
		this.followSpeed = followSpeed;
	}
	
	public double getMaxRightAngle() {
		return maxRightAngle;
	}
	public double getMaxLeftAngle() {
		return maxLeftAngle;
	}
	public double getSearchSpeed() {
		return searchSpeed;
	}
	public double getFollowSpeed() {
		return followSpeed;
	}
	public Servo getTurnServo() {
		return turnServo;
	}
}
